org.eclipse.emf.cdo.server

## Class CDOServerBrowser.RevisionsPage.FromStore

- java.lang.Object
- - org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage
  - - org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage
    - - org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage.FromStore

- All Implemented Interfaces:
    CDOServerBrowser.Page
  Enclosing class:
    CDOServerBrowser.RevisionsPage

      public static class CDOServerBrowser.RevisionsPage.FromStore
      extends CDOServerBrowser.RevisionsPage

  A `server browser page` that renders the `revisions` in a `store`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage

      `CDOServerBrowser.RevisionsPage.FromCache, CDOServerBrowser.RevisionsPage.FromStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `NAME`

    - ### Fields inherited from interface org.eclipse.emf.cdo.server.CDOServerBrowser.Page

      `PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FromStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `canDisplay(InternalRepository repository)`
    `protected Map<CDOBranch,List<CDORevision>>` | `getAllRevisions(InternalRepository repository)`

    - ### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.RevisionsPage

      `display, getCDOIDLabel, getRevisionValue, showKeyValue, showRevision, showRevision`

    - ### Methods inherited from class org.eclipse.emf.cdo.server.CDOServerBrowser.AbstractPage

      `getLabel, getName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAME

          public static final String NAME

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FromStore

          public FromStore()

  - ### Method Detail

    - #### canDisplay

          public boolean canDisplay(InternalRepository repository)

    - #### getAllRevisions

          protected Map<CDOBranch,List<CDORevision>> getAllRevisions(InternalRepository repository)

      Specified by:
        `getAllRevisions` in class `CDOServerBrowser.RevisionsPage`

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html